获取某个EIP对应的 DNATRules 列表. | 大装置帮助中心
跳到主要内容

获取某个EIP对应的 DNATRules 列表.

获取某个EIP对应的 DNATRules 列表.

Path Parameters
    subscription_name string required

    订阅

    resource_group_name string required

    资源组

    zone string required

    可用区

    eip_name string required

    eip名

Query Parameters
    filter string

    列表过滤器

    order_by string

    排列顺序

    page_size int32

    返回的最大项目数

    page_token string

    从先前的列表请求返回的下一页令牌值(如果存在)

Responses

OK


Schema
    dnat_rules object[]

    DNATRule 列表.

  • Array [
  • id string

    The DNATRule resource id using the form: subscriptions/{subscription_id}/resourceGroups/{resource_group_name}/zones/{zone_id}/dnatRules/{dnat_rule_name}.

    name string

    The DNATRule resource name with the restriction: ^[a-z]([a-z0-9-]{0,61}[a-z0-9])?$.

    display_name string

    ContainerInstance resource display name

    description string

    ContainerInstance resource description

    uid string

    The DNATRule resource uuid.

    resource_type string

    The DNATRule resource type.

    creator_id string

    The id of the user who created the DNATRule resource.

    owner_id string

    The id of the user who owns the DNATRule resource.

    tenant_id string

    Tenant id.

    zone string

    Available zone.

    state enum

    The current state of the DNATRule resource.

    sku_id string

    Sku id.

    tags object

    Tags attached to the DNATRule resource.

    property name* string
    properties object

    资源实际属性.

    nat_gateway_id string

    所属的 NATGateway uid.

    eip_id string

    所属的 EIP uid.

    external_ip string

    VPC 对外暴露的 DNATRule external IP.

    external_port string

    对外暴露的端口,(10000,10000-20000,(10000,10001,20000,20001),*).

    protocol string

    对外暴露的协议.

    internal_ip string

    对外暴露的 VPC 内服务的 IP.

    internal_port string

    对外暴露的 VPC 内服务的端口,(10000,10000-20000,(10000,10001,20000,20001),*).

    priority int32

    规则优先级.

    internal_instance_type enum

    对外暴露的 VPC内服务的实例类型

    internal_instance_name string

    对外暴露的 VPC内服务的实例唯一标识,目前使用实例name作为唯一标识

    order_info object

    订单信息

    billing_cycle_number int32

    购买时长

    auto_renew boolean

    自动续费

    currency_code string

    货币代码

    payment_channel enum

    Possible values: [PC_UNSPECIFIED, PC_BALANCE, PC_CREDIT, PC_FROZENACCOUNT, PC_REMIT_OFFLINE, PC_ALIPAY, PC_UNIONPAY, PC_REMIT_ONLINE, PC_CONTRACT]

    支付方式

    note string

    订单备注

    order_type enum

    Possible values: [OT_UNSPECIFIED, OT_ORIGINAL, OT_RENEW, OT_UPGRADED, OT_DOWNGRADED, OT_CONTRACT, OT_UNSUBSCRIBE, OT_RESIZE]

    订单类型

    order_id string

    订单id

    start_time date-time

    订单生效日期

    payment_model enum

    Possible values: [PM_UNSPECIFIED, PM_PREPAID, PM_POSTPAID]

    付费类型

    billing_model enum

    Possible values: [BM_UNSPECIFIED, BM_USAGE, BM_MONTHLY, BM_YEARLY]

    计费类型

    original_id string

    合同包ID

    end_time date-time

    订单结束时间

    auto_convert_postpaid boolean

    预付费自动转后付费

    deleted boolean

    Indicates whether the DNATRule resource is deleted or not.

    create_time date-time

    The time when the DNATRule resource was created.

    update_time date-time

    The time when the DNATRule resource was last updated.

  • ]
  • next_page_token string

    下一个页面的 token,如果没有更多数据则为空.

    total_size int32

    total size

Loading...